| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::QueueListViewItem Class Reference
Inheritance diagram for Digikam::QueueListViewItem:

## Public Member Functions
| QueueListViewItem (QueueListView *const view, const ItemInfo &info)
void | animProgress ()
void | assignTool (int index, const BatchToolSet &set)
QString | destBaseName () const
QString | destFileName () const
QString | destSuffix () const
bool | hasValidThumbnail () const
ItemInfo | info () const
bool | isBusy () const
bool | isDone () const
void | reset ()
void | setBusy ()
void | setCanceled ()
void | setDestFileName (const QString &str)
void | setDone ()
void | setFailed ()
void | setInfo (const ItemInfo &info)
void | setThumb (const QPixmap &pix, bool hasThumb=true)
void | unassignTool (int index)